
var getNum = 0

Page({
    /**
     * 页面的初始数据
     */
    data: {
        loding : true,
        success: true
    },
    /**
     * 生命周期函数--查询支付信息
     */
    onLoad(e){
        if(!e.trade_id){
            wx.showToast({
                title: '参数错误，请联系系统管理员',
                icon : 'none'
            })
        }
        this.getPayState(e.trade_id)
        getNum = 0
    },
    /**
     * 查询支付结果
     */
    getPayState(trade_id){
        wx.$api.pay.payState(trade_id).then(res => {
            let { is_paid } = res.data
            if(is_paid){
                this.setData({
                    success: true,
                    loding : false
                })
                return
            }
            if(!is_paid && getNum >= 3){
                this.setData({
                    success: false,
                    loding : false
                })
                return
            }
            getNum++
            this.getPayState(trade_id)
        }).catch(err => {
            console.log(err)
        })
    },
    /**
     * 返回
     */
    onBack(){
        wx.navigateBack()
    }
})